import type { AuthStrategy, FetchInit } from './types.js';
export declare class BasicAuthStrategy implements AuthStrategy {
    private encoded;
    constructor(user: string, pass: string);
    fetch(url: string, init?: FetchInit): Promise<Response>;
    getAuthorizationHeader(): Promise<string>;
}
